Bug 427748 - removable media (cd, dvd, usb) fail to automount with org.freedesktop.DBus.Error.AccessDenied
removable media (cd, dvd, usb) fail to automount with org.freedesktop.DBus.Er...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
8
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-07 06:56 EST by Dominik 'Rathann' Mierzejewski
Modified: 2013-03-05 22:54 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-01 08:43:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2008-01-07 06:56:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; pl-PL; rv:1.8.1.10) Gecko/20071128 Fedora/2.0.0.10-2.fc7 Firefox/2.0.0.10

Description of problem:
After inserting a CD into the drive, a window with the following message pops up:
Can't mount volume.
Error org.freedesktop.DBus.Error.AccessDenied.

Details
A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.freedesktop.Hal.Device.Volume" member "Mount" error name "(unset)" destination "org.freedesktop.Hal")


Version-Release number of selected component (if applicable):
hal-0.5.10-1.fc8

How reproducible:
Always


Steps to Reproduce:
1. Insert removable media


Actual Results:
Media fails to mount and an error message pops up.

Expected Results:
Media should mount successfully, like it did on F-7.

Additional info:
I've found similar problems described on the web, but the proposed solutions, i.e. modifying /etc/dbus-1/system.d/hal.conf to allow a particular group to access removable volumes yielded no results.
Comment 1 David Zeuthen 2008-01-07 10:24:50 EST
Need a lot more detail..

1. are you using GNOME, KDE or other desktop?
2. are you using gdm, kdm or startx?
3. how are you seeing this error? (are you using dbus-send or gnome-mount?)
4. is the ConsoleKit service running?

from a terminal within your desktop session, what does

echo $XDG_SESSION_COOKIE

say?

Comment 2 Dominik 'Rathann' Mierzejewski 2008-01-07 12:02:57 EST
(In reply to comment #1)
> Need a lot more detail..
> 
> 1. are you using GNOME, KDE or other desktop?

GNOME.

> 2. are you using gdm, kdm or startx?

gdm

> 3. how are you seeing this error? (are you using dbus-send or gnome-mount?)

I don't know what is used when I simply insert the media, but I do get the same
error when using gnome-mount.

> 4. is the ConsoleKit service running?

Yes.

> from a terminal within your desktop session, what does
> 
> echo $XDG_SESSION_COOKIE
> 
> say?

I'm not near the machine right now, I'll post this information tomorrow.
Comment 3 Dominik 'Rathann' Mierzejewski 2008-01-10 06:09:14 EST
(In reply to comment #2)
> (In reply to comment #1)
[...]
> > from a terminal within your desktop session, what does
> > 
> > echo $XDG_SESSION_COOKIE
> > 
> > say?

3bd438601d1c02c8cf2b6300475e8600-1199297303.574844-1038760389
Comment 4 Dominik 'Rathann' Mierzejewski 2008-02-01 08:43:49 EST
Looks like one of the recent updates fixed that. I'll reopen if it happens again.

Note You need to log in before you can comment on or make changes to this bug.